Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class NakagamiGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.NakagamiGen

    public class NakagamiGen

extends RandomVariateGen

This class implements random variate generators for the Nakagami distribution. See the definition in `NakagamiDist` of package `probdist`.

Constructor Summary
`NakagamiGen(RandomStream s, double a, double lambda, double c)` Creates a new Nakagami generator with parameters a = `a`, λ = `lambda` and c = `c`, using stream `s`.
`NakagamiGen(RandomStream s, NakagamiDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`double` | `getA()` Returns the location parameter a of this object.
`double` | `getC()` Returns the shape parameter c of this object.
`double` | `getLambda()` Returns the scale parameter λ of this object.
`static double` | `nextDouble(RandomStream s, double a, double lambda, double c)` Generates a variate from the Nakagami distribution with parameters a = `a`, λ = `lambda` and c = `c`, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NakagamiGen

    public NakagamiGen(RandomStream s,
                       double a,
                       double lambda,
                       double c)

  Creates a new Nakagami generator with parameters a = `a`, λ = `lambda` and c = `c`, using stream `s`.

### NakagamiGen

    public NakagamiGen(RandomStream s,
                       NakagamiDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double a,
                                    double lambda,
                                    double c)

  Generates a variate from the Nakagami distribution with parameters a = `a`, λ = `lambda` and c = `c`, using stream `s`.

  Parameters:
    `s` - the random stream
    `a` - the location parameter
    `lambda` - the scale parameter
    `c` - the shape parameter
  Returns:
    Generates a variate from the Nakagami distribution

### getA

    public double getA()

  Returns the location parameter a of this object.

  Returns:
    the location parameter mu

### getLambda

    public double getLambda()

  Returns the scale parameter λ of this object.

  Returns:
    the scale parameter mu

### getC

    public double getC()

  Returns the shape parameter c of this object.

  Returns:
    the shape parameter mu

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.